> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relayai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Training Jobs

> List training jobs for the tenant.



## OpenAPI

````yaml get /api/v1/training-jobs
openapi: 3.1.0
info:
  title: Relay API
  description: Voice AI Artifact Detection Platform
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/training-jobs:
    get:
      tags:
        - training
      summary: List Training Jobs
      description: List training jobs for the tenant.
      operationId: list_training_jobs_api_v1_training_jobs_get
      parameters:
        - name: dataset_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Dataset Id
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 20
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrainingJobListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TrainingJobListResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/TrainingJobResponse'
          type: array
          title: Items
        total:
          type: integer
          title: Total
        has_more:
          type: boolean
          title: Has More
      type: object
      required:
        - items
        - total
        - has_more
      title: TrainingJobListResponse
      description: List of training jobs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TrainingJobResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        tenant_id:
          type: string
          format: uuid
          title: Tenant Id
        dataset_id:
          type: string
          format: uuid
          title: Dataset Id
        annotation_set_id:
          type: string
          format: uuid
          title: Annotation Set Id
        config:
          additionalProperties: true
          type: object
          title: Config
        status:
          type: string
          title: Status
        status_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Message
        progress_percent:
          type: integer
          title: Progress Percent
        metrics:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metrics
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        sagemaker_job_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Sagemaker Job Name
        created_at:
          type: string
          format: date-time
          title: Created At
        queued_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Queued At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - tenant_id
        - dataset_id
        - annotation_set_id
        - config
        - status
        - status_message
        - progress_percent
        - metrics
        - error_message
        - sagemaker_job_name
        - created_at
        - queued_at
        - started_at
        - completed_at
      title: TrainingJobResponse
      description: Training job response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````